Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# TAO_DIOP_Transport Class Reference

Specialization of the base TAO_Transport class to handle the DIOP protocol. More...

`#include <DIOP_Transport.h>`

Inheritance diagram for TAO_DIOP_Transport:

[legend]
Collaboration diagram for TAO_DIOP_Transport:

[legend]
List of all members.

## Public Member Functions
| TAO_DIOP_Transport (TAO_DIOP_Connection_Handler *handler, TAO_ORB_Core *orb_core, CORBA::Boolean flag)
| Constructor.
| ~TAO_DIOP_Transport (void)
| Default destructor.
virtual int | handle_input (TAO_Resume_Handle &rh, ACE_Time_Value *max_wait_time=0, int block=0)
| Look for the documentation in Transport.h.
virtual int | send_request (TAO_Stub *stub, TAO_ORB_Core *orb_core, TAO_OutputCDR &stream, int message_semantics, ACE_Time_Value *max_wait_time)
virtual int | send_message (TAO_OutputCDR &stream, TAO_Stub *stub=0, int message_semantics=TAO_Transport::TAO_TWOWAY_REQUEST, ACE_Time_Value *max_time_wait=0)
virtual int | messaging_init (CORBA::Octet major, CORBA::Octet minor)
| Initialising the messaging object.
## Protected Member Functions
Overridden Template Methods
These are implementations of template methods declared by TAO_Transport.
virtual ACE_Event_Handler * | event_handler_i (void)
virtual TAO_Connection_Handler * | connection_handler_i (void)
virtual TAO_Pluggable_Messaging * | messaging_object (void)
virtual ssize_t | send (iovec *iov, int iovcnt, size_t &bytes_transferred, const ACE_Time_Value *max_wait_time)
| Write the complete Message_Block chain to the connection.
virtual ssize_t | recv (char *buf, size_t len, const ACE_Time_Value *s=0)
| Read len bytes from into buf.
virtual int | send_message_shared (TAO_Stub *stub, int message_semantics, const ACE_Message_Block *message_block, ACE_Time_Value *max_wait_time)
virtual int | register_handler (void)
## Private Attributes
TAO_DIOP_Connection_Handler * | connection_handler_
TAO_Pluggable_Messaging * | messaging_object_
| Our messaging object.

## Detailed Description

Specialization of the base TAO_Transport class to handle the DIOP protocol.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_DIOP_Transport::TAO_DIOP_Transport | ( | TAO_DIOP_Connection_Handler * | handler,
|  | TAO_ORB_Core * | orb_core,
|  | CORBA::Boolean | flag
| ) |

| Constructor.

TAO_DIOP_Transport::~TAO_DIOP_Transport | ( | void |  | ) |

| Default destructor.

## Member Function Documentation

TAO_Connection_Handler * TAO_DIOP_Transport::connection_handler_i | ( | void |  | ) | `[protected, virtual]`

| Implements TAO_Transport.

ACE_Event_Handler * TAO_DIOP_Transport::event_handler_i | ( | void |  | ) | `[protected, virtual]`

| Implements TAO_Transport.

int TAO_DIOP_Transport::handle_input | ( | TAO_Resume_Handle & | rh,
|  | ACE_Time_Value * | max_wait_time = `0`,
|  | int | block = `0`
| ) | `[virtual]`

| Look for the documentation in Transport.h. Reimplemented from TAO_Transport.

int TAO_DIOP_Transport::messaging_init | ( | CORBA::Octet | major,
|  | CORBA::Octet | minor
| ) | `[virtual]`

| Initialising the messaging object. Implements TAO_Transport.

TAO_Pluggable_Messaging * TAO_DIOP_Transport::messaging_object | ( | void |  | ) | `[protected, virtual]`

| Implements TAO_Transport.

ssize_t TAO_DIOP_Transport::recv | ( | char * | buf,
|  | size_t | len,
|  | const ACE_Time_Value * | s = `0`
| ) | `[protected, virtual]`

| Read len bytes from into buf. Implements TAO_Transport.

int TAO_DIOP_Transport::register_handler | ( | void |  | ) | `[protected, virtual]`

| Reimplemented from TAO_Transport.

ssize_t TAO_DIOP_Transport::send | ( | iovec * | iov,
|  | int | iovcnt,
|  | size_t & | bytes_transferred,
|  | const ACE_Time_Value * | max_wait_time
| ) | `[protected, virtual]`

| Write the complete Message_Block chain to the connection. Implements TAO_Transport.

int TAO_DIOP_Transport::send_message | ( | TAO_OutputCDR & | stream,
|  | TAO_Stub * | stub = `0`,
|  | int | message_semantics = `TAO_Transport::TAO_TWOWAY_REQUEST`,
|  | ACE_Time_Value * | max_time_wait = `0`
| ) | `[virtual]`

| Implements TAO_Transport.

int TAO_DIOP_Transport::send_message_shared | ( | TAO_Stub * | stub,
|  | int | message_semantics,
|  | const ACE_Message_Block * | message_block,
|  | ACE_Time_Value * | max_wait_time
| ) | `[protected, virtual]`

| Reimplemented from TAO_Transport.

int TAO_DIOP_Transport::send_request | ( | TAO_Stub * | stub,
|  | TAO_ORB_Core * | orb_core,
|  | TAO_OutputCDR & | stream,
|  | int | message_semantics,
|  | ACE_Time_Value * | max_wait_time
| ) | `[virtual]`

| Todo: These methods IMHO should have more meaningful names. The names seem to indicate nothing. Implements TAO_Transport.

## Member Data Documentation

TAO_DIOP_Connection_Handler* TAO_DIOP_Transport::connection_handler_`[private]`

| The connection service handler used for accessing lower layer communication protocols.

TAO_Pluggable_Messaging* TAO_DIOP_Transport::messaging_object_`[private]`

| Our messaging object.

The documentation for this class was generated from the following files:

- DIOP_Transport.h
- DIOP_Transport.cpp